`timescale 1ns / 1ps
//******************************************************************************
// File Name            : test_led_control_ram.v
//------------------------------------------------------------------------------
// Function             : test led_control with RAM
//                        
//------------------------------------------------------------------------------
// Designer             : yokomizo@himwari_co 
//------------------------------------------------------------------------------
// History
// 1.00  2010/10/6
//******************************************************************************
module test_led_control_ram;

        // Inputs
        reg clk;
        reg push_sw;

        // Outputs
        wire led_0;

        // Instantiate the Unit Under Test (UUT)
        led_control_ram uut (
                .clk(clk), 
                .push_sw(push_sw), 
                .led_0(led_0)
        );

        initial begin
                // Initialize Inputs
                //clk = 0;
                push_sw = 0;

                // Wait 100 ns for global reset to finish
                //#100;
                //push_sw = 0;
                #100;
                push_sw = 1;
                #125;
                push_sw = 0;
                #(125*2);
                push_sw = 1;
                #1200000;
                push_sw = 0;
                #(125*2000);
                #125;
                push_sw = 1;
                #(125*2000);
                push_sw = 0;
                #(125*2000);
                push_sw = 1;
                #1000000;
                /*
                #(125*3);
                push_sw = 0;
                #(125*4);
                push_sw = 1;
                #(125*5);
                push_sw = 0;
                #(125*6);
                push_sw = 1;
                #(125*7);
                */
                #1000000;
                push_sw = 1;
                #(125*100);
                push_sw = 0;
                #(125*200);
                push_sw = 1;
                #(125*400);
                push_sw = 0;
                #(125*700);
                push_sw = 1;
                #(125*1100);
                push_sw = 0;
                #(125*1600);
                push_sw = 1;
                #(125*2200);
                push_sw = 0;
                #(125*2900);
                push_sw = 1;
                #(125*3700);
                push_sw = 0;
                #(125*4600);
                push_sw = 1;
                #(125*5600);
                push_sw = 0;
                #(125*6700);
                push_sw = 1;
                #100000000;
                $stop;
           
                
                // Add stimulus here

        end
      
initial begin
  // Initialize Inputs
  clk = 0;
  repeat(500000) begin
    #12.5;
    clk = 1;
    #12.5;
    clk = 0;
  end
  $stop;
end
      
endmodule

